Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action
Class SoapUIActionRegistry

    java.lang.Object
      com.eviware.soapui.support.action.SoapUIActionRegistry

    public class SoapUIActionRegistry

extends java.lang.Object

Global SoapUIAction Registry

Author:
  ole.matzura

Nested Class Summary
`static class` | `SoapUIActionRegistry.SeperatorAction`
`static class` | `SoapUIActionRegistry.SoapUIActionGroupAction<T extends ModelItem>`

Constructor Summary
`SoapUIActionRegistry(java.io.InputStream config)`

Method Summary
`void` | `addAction(java.lang.String soapuiActionID, SoapUIAction action)`
`void` | `addConfig(java.io.InputStream config, java.lang.ClassLoader classLoader)`
`
`<T extends ModelItem> SoapUIAction<T>`
` | `getAction(java.lang.String soapUIActionId)`
`
`<T extends ModelItem> SoapUIActionGroup<T>`
` | `getActionGroup(java.lang.String groupId)`
`void` | `removeAction(java.lang.String soapuiActionID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUIActionRegistry

    public SoapUIActionRegistry(java.io.InputStream config)

Method Detail

### addAction

    public void addAction(java.lang.String soapuiActionID,
                          SoapUIAction action)

### removeAction

    public void removeAction(java.lang.String soapuiActionID)

### getAction

    public <T extends ModelItem> SoapUIAction<T> getAction(java.lang.String soapUIActionId)

### addConfig

    public void addConfig(java.io.InputStream config,
                          java.lang.ClassLoader classLoader)

### getActionGroup

    public <T extends ModelItem> SoapUIActionGroup<T> getActionGroup(java.lang.String groupId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.